﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Microsoft.VisualStudio.PlatformUI;
using Syncfusion.UI.Xaml.Grid;

namespace SfDataGridDemo
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            this.datagrid.Loaded += Datagrid_Loaded;
        }

        private void Datagrid_Loaded(object sender, RoutedEventArgs e)
        {
            var newcolumn = new GridTextColumn();
            newcolumn.MappingName = "EmployeeName";
            newcolumn.ShowHeaderToolTip = true;
            newcolumn.HeaderText = "Sample text for header";
            DataTemplate templateDataGridHeaderToolTip = (DataTemplate)TryFindResource("TemplateDataGridHeaderToolTip");
            if (templateDataGridHeaderToolTip != null)
                newcolumn.HeaderToolTipTemplate = templateDataGridHeaderToolTip;
            this.datagrid.Columns.Add(newcolumn);
        }
    }
}
